<?PHP include('header.php');?>
<span class='top-bl-s-verh'>Просмотр теста</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Внимание! Будьте внимательны при выборе ответов теста!<br />
При неверном ответе заказчик может запритить Вам доступ к тесту.
</td></tr>
</table>
<?PHP
echo "";
$id_t = (isset($_GET["id"]) && preg_match("|^[\d]{1,11}$|", trim($_GET["id"]))) ? intval(trim($_GET["id"])) : false;
if($id_t == false) {
echo $infsterr."Ошибка выбора теста!".$infederr;include(FOOTER_FILE);exit();
}else{
$sql_t = mysql_query("SELECT * FROM `b_tests` WHERE `id`='$id_t' AND `paused`='0' AND `balance`>`price` AND `modered`='1' AND `fromus`<>'$id_user' AND `id` NOT IN (SELECT `ident` FROM `b_tests_view` WHERE `id_us`='$id_user') ORDER BY `id` DESC") or die(mysql_error());
if(mysql_num_rows($sql_t) == 0){
echo $infsterr."</br><span class='taskquestion'><center>Вы не можете выполнять свой тест или вы уже выполняли</center></span></div>".$infederr;
include('footer.php');exit();
}else{
$row_t = mysql_fetch_assoc($sql_t);
$title_t = $row_t["title"];
$description_t = nl2br(bbcode($row_t["description"],"html"));
$url_t = $row_t["url"];
$ostatok_t = intval($row_t["balance"]/$row_t["price"]);
$oplata_t = $row_t["payforad"];
$question_1 = $row_t["question_1"];
$question_2 = $row_t["question_2"];
$reply_11 = $row_t["reply_11"];
$reply_12 = $row_t["reply_12"];
$reply_13 = $row_t["reply_13"];
$reply_21 = $row_t["reply_21"];
$reply_22 = $row_t["reply_22"];
$reply_23 = $row_t["reply_23"];
$good = $row_t["good"];
$bad = $row_t["bad"];
$zh = $row_t["all_zh"];
$user = $row_t["fromus"];

$res=mysql_fetch_assoc(mysql_query("SELECT * FROM b_users WHERE id='$user'"));
$ava = $res["avatar"];
$reyt = $res["reyting"];
$name = $res["username"];
$id = $res["id"];
echo <<<html
<style>
.button-big-flat{
    display: block;
    font-size: 14px;
    color: #fff;
    padding: 6px;
    cursor: pointer;
    outline: none;
    margin: 2px;
    border: 3px solid #DAE2E6;
    width: 90%;
}
.sil a{ text-decoration:none; color: #447C29;}
}
.sil a:hover{ text-decoration:none; color: #447C29;}
.button-big-flat { background-color: #7f89d1; color: #fff; border: 3px solid #DAE2E6; }
</style>

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>

<td width="20%" rowspan="6" >
<center><div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="/avp/$ava" width="62" height="62" border="0">
</div><br />
<a class='reputation1'>
 $reyt
</a>	</center></td> 

<td width="35%" align='left' >
<font color=#696969><b> <b>Рекламодатель:</b></font></td>
<td width="45%" class='value' align='left' ><span style="font-size: 12px;"><a style='border-bottom: none' href='/users-$id-wall.html' target='_blank' title='Перейти на стену'>$name</a> </span>
<td class=value width="5%"><a href="/mail.php?p=4&to=$id"><div class='tsk-mail'></div></a></td>
</td>
</tr>
<tr>
<td align='left' ><span style="font-size: 12px; font-weight: bold">Название:</span></td>
<td class='value' align='left' >$title_t</td>
<td class=value width="5%"> </td>
</tr>
<tr>
<td align='left' ><span style="font-size: 12px; font-weight: bold">Осталось:</span></td>
<td class='value' align='left' >$ostatok_t шт.</td>
<td class=value width="5%"> </td>
</tr>
<tr>
<td align='left' ><font color=#696969><b> <b>Всего жалоб:</b></font></td>
<td class='value' align='left' >$zh</td>
<td class=value width="5%"></td>
</tr>
<tr>
<td align='left' ><font color=#696969><b> <b>Оплата:</b></font></td>
<td class='value' align='left' ><font color=red>$oplata_t</font>&nbsp; руб.</td>
<td class=value width="5%"></td>
</tr>
<tr>
<td class='value' align='left' ><span style="font-size: 12px; color: green; font-weight: bold">Одобрено: $good</span></td>
<td class='value' align='left' ><span style="font-size: 12px; color: red; font-weight: bold">Отклонено: $bad</span></td>
<td class=value width="5%"></td>
</tr></table>
<div id='maintask'>
	   <br />
	   <center style="color: #D26B07; margin-bottom: 5px;">Совет - Перед тем как приступить выполнять тест, посмотрите статистику и отзывы рекламодателя (автора теста), чтобы не быть обманутым мошенником.</center>
     <br />
<span class="taskdescription">$description_t<br /><br />
Для выполнения теста перейдите по ссылке: <noindex><a href="$url_t" target="_blank" style="text-decoration:none; color: #447C29;" rel="nofollow">$url_t</a></noindex>
</span>

<br />
<span class='taskquestion'><b>Вопрос 1:</b> $question_1</span><br />
<center>
<span id='reply1_1' class="button-big-flat-green" onclick='set_select(1,1);'>$reply_11</span>
<span id='reply1_2' class="button-big-flat-green" onclick='set_select(1,2);'>$reply_12</span>
<span id='reply1_3' class="button-big-flat-green" onclick='set_select(1,3);'>$reply_13</span>
</center>
<br /><span class='taskquestion'><b>Вопрос 2:</b> $question_2</span><br />
<center>
<span id='reply2_1' class="button-big-flat-green" onclick='set_select(2,1);'>$reply_21</span>
<span id='reply2_2' class="button-big-flat-green" onclick='set_select(2,2);'>$reply_22</span>
<span id='reply2_3' class="button-big-flat-green" onclick='set_select(2,3);'>$reply_23</span>
<br />
<input id="ans_id" type="hidden" name="id_tests" value="$id_t">
<input id="rpl_1" type="hidden" name="reply1" value="">
<input id="rpl_2" type="hidden" name="reply2" value="">
<input type="submit" class='button-green' value="Отправить ответ" onclick="answer_tests();">
</center>

</div>
<script>
function set_select(op, ot){
$('#reply'+op+'_1').removeClass().toggleClass("button-big-flat-green");
$('#reply'+op+'_2').removeClass().toggleClass("button-big-flat-green");
$('#reply'+op+'_3').removeClass().toggleClass("button-big-flat-green");
if (op == 1) {
$('#rpl_1').val(ot);
$('#reply1_'+ot).removeClass().toggleClass("button-big-flat");
}
if (op == 2) {
$('#rpl_2').val(ot);
$('#reply2_'+ot).removeClass().toggleClass("button-big-flat");
}
return false;
}

var progress = false;

function answer_tests(){
if(!progress){
var id = $id_t;
var reply1 = $('#rpl_1').val();
var reply2 = $('#rpl_2').val();
if(reply1 == ''){ alert("Выберите все ответы таста!"); return false; }
if(reply2 == ''){ alert("Выберите все ответы таста!"); return false; }

$.ajax({
type: "POST", 
url: "/ajax/ajax_tests.php", 
data: { 'func' : 'answer_tests', 'id' : id, 'reply1' : reply1, 'reply2' : reply2},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){ QBinfo('Ошибка:','<b>Нет такого теста!</b>',4000,'bottom-right');}
else if(data == 2){ QBinfo('Ошибка:','<b>Вы уже проходили этот тест!</b>',4000,'bottom-right'); }
else if(data == 3){ QBinfo('Ошибка:','<b>Неверный ответ на тест! Пробуйте в другой раз!</b>',4000,'bottom-right'); }
else if(data == 4){
alert("Вы успешно прошли тест! Вам зачислено +$oplata_t $sitevalname"); 
window.close();
}
progress = false;
}
});

}
}
</script>
html;
}
}
?></div>
<? include('footer.php'); ?>